<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Tasl 520 - Detail Comment</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<style>

.div-background-picture {
        background-image: url("images/yellow-blue.jpg");
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 1;
        
    }

    .div-container-jumbotron {
        padding: 120px;
        padding-bottom: 40px;
        padding-left: 40px;
        background-color: white;
        border-radius: 35px;
    }

    .div-title {
        margin-top: -70px;
        font-family:Arial, Helvetica, sans-serif
    }

    .div-form-group {
        margin-top: -50px;
        margin-left: -70px;
        margin-right: -70px;
        padding: 50px;
    }

    .div-input-box {
        border-radius: 8px;
        height: 60px;
        opacity: 0.7;
        margin-bottom: 22px;
    }

    .div-button {
        height: 40px;
    }
</style>

<body>

  <div class="container-fluid div-background-picture">
        
    <div class="row d-flex align-items-center min-vh-100">
        <div class="col-sm-8 text-center mx-auto my-0 div-container-jumbotron">
          <form id="form-login" action="#" method="post"></form>  
            <div class="mb-5 div-title">
                <h3 class="text-center "><b>DETAIL OF COMMENT</b></h3>
            </div>
        
            <div class="div-form-group">
            
                <div class="row form-group ">
                  <label class="col-sm-2">ID:</label>
                    <input id="id-inp" class="col-sm-10 form-control div-input-box">
                </div>
            
                <div class="row form-group ">
                  <label class="col-sm-2">Post ID:</label>
                    <input id="post-id-inp" class="col-sm-10 form-control div-input-box">
                </div>
            
                <div class="row form-group ">
                  <label class="col-sm-2">Email:</label>
                    <input id="email-inp" class="col-sm-10 form-control div-input-box">
                </div>
            
                <div class="row form-group ">
                  <label class="col-sm-2">Name:</label>
                    <input id="name-inp" class="col-sm-10 form-control div-input-box">
                </div>

                <div class="row form-group ">
                  <label class="col-sm-2">Body:</label>
                    <textarea rows="5" id="body-inp"class="col-sm-10 form-control div-input-box"></textarea>
                </div>
                            
                <div class="text-right">
                  <a id="btn-sign-up" class="btn btn-success div-button " type="button" href="Task 520 - Comment List.html"><b>Return</b></a>
                </div>

            </div>
          </form>
        </div>
    </div>
  </div>
  
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
 
    const gBASE_URL = "https://jsonplaceholder.typicode.com";
 
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  
    $(document).ready(loadDataOnForm);

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
 
    //load data to the form
    function loadDataOnForm(){
      debugger;
      //create comment object
      var vCommentObj = {id: ""};
          
      //read data from the query string
      getParameterQueryStr(vCommentObj);

      //validate the data
      var vValidate = validateData(vCommentObj.id);
      if (vValidate) {
        var vID = vCommentObj.id;
        //call API for getting the data from server
        $.ajax ({
          url: gBASE_URL + "/comments/" + vID,
          type: "GET",
          success: function(res){
            console.log("%cCOMMENT DETAIL: ", "color:orange", Object.entries(res));
            $("#id-inp").val(res.id);  
            $("#post-id-inp").val(res.postId); 
            $("#email-inp").val(res.email); 
            $("#name-inp").val(res.name); 
            $("#body-inp").val(res.body);
          },
          error: function(ajaxContext){
            console.log(ajaxContext);
          },
        });
      };
    };

    //get parammeter from query string
    function getParameterQueryStr(paramId){

      var vParamURL = window.location.href;
      var vUrl = new URL(vParamURL);
      var vUserId = vUrl.searchParams.get("id");

      paramId.id = vUserId;
    }

    //function for validating the data
    function validateData(paramData){
      if (paramData ==""){
        alert("The query string is not located - please check !!!");
        return false;
      }
      if (isNaN(paramData)== true){
        alert("The ID of query string should be integer !!!");
        return false;
      }
      return true;
    };  


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
</script>

</html>
